### Class

# Gtk FontDialog

since: 4.10

#### Description [src]

    final class Gtk.FontDialog : GObject.Object
    {
      /* No available fields */
    }

A `GtkFontDialog` object collects the arguments that are needed to present a font chooser dialog to the user, such as a title for the dialog and whether it should be modal.

The dialog is shown with the `gtk_font_dialog_choose_font()` function or its variants. This API follows the GIO async pattern, and the result can be obtained by calling the corresponding finish function, such as `gtk_font_dialog_choose_font_finish()`.

See `GtkFontDialogButton` for a convenient control that uses `GtkFontDialog` and presents the results.

Available since: 4.10

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### gtk_font_dialog_new

Creates a new `GtkFontDialog` object.

since: 4.10

#### Instance methods

###### gtk_font_dialog_choose_face

This function initiates a font selection operation by presenting a dialog to the user for selecting a font face (i.e. a font family and style, but not a specific font size).

since: 4.10

###### gtk_font_dialog_choose_face_finish

Finishes the `gtk_font_dialog_choose_face()` call and returns the resulting font face.

since: 4.10

###### gtk_font_dialog_choose_family

This function initiates a font selection operation by presenting a dialog to the user for selecting a font family.

since: 4.10

###### gtk_font_dialog_choose_family_finish

Finishes the `gtk_font_dialog_choose_family()` call and returns the resulting family.

since: 4.10

###### gtk_font_dialog_choose_font

This function initiates a font selection operation by presenting a dialog to the user for selecting a font.

since: 4.10

###### gtk_font_dialog_choose_font_and_features

This function initiates a font selection operation by presenting a dialog to the user for selecting a font and font features.

since: 4.10

###### gtk_font_dialog_choose_font_and_features_finish

Finishes the `gtk_font_dialog_choose_font_and_features()` call and returns the resulting font description and font features.

since: 4.10

###### gtk_font_dialog_choose_font_finish

Finishes the `gtk_font_dialog_choose_font()` call and returns the resulting font description.

since: 4.10

###### gtk_font_dialog_get_filter

Returns the filter that decides which fonts to display in the font chooser dialog.

since: 4.10

###### gtk_font_dialog_get_font_map

Returns the fontmap from which fonts are selected, or `NULL` for the default fontmap.

since: 4.10

###### gtk_font_dialog_get_language

Returns the language for which font features are applied.

since: 4.10

###### gtk_font_dialog_get_modal

Returns whether the font chooser dialog blocks interaction with the parent window while it is presented.

since: 4.10

###### gtk_font_dialog_get_title

Returns the title that will be shown on the font chooser dialog.

since: 4.10

###### gtk_font_dialog_set_filter

Adds a filter that decides which fonts to display in the font chooser dialog.

since: 4.10

###### gtk_font_dialog_set_font_map

Sets the fontmap from which fonts are selected.

since: 4.10

###### gtk_font_dialog_set_language

Sets the language for which font features are applied.

since: 4.10

###### gtk_font_dialog_set_modal

Sets whether the font chooser dialog blocks interaction with the parent window while it is presented.

since: 4.10

###### gtk_font_dialog_set_title

Sets the title that will be shown on the font chooser dialog.

since: 4.10

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Gtk.FontDialog:filter

Sets a filter to restrict what fonts are shown in the font chooser dialog.

since: 4.10

###### Gtk.FontDialog:font-map

Sets a custom font map to select fonts from.

since: 4.10

###### Gtk.FontDialog:language

The language for which the font features are selected.

since: 4.10

###### Gtk.FontDialog:modal

Whether the font chooser dialog is modal.

since: 4.10

###### Gtk.FontDialog:title

A title that may be shown on the font chooser dialog that is presented by `gtk_font_dialog_choose_font()`.

since: 4.10

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GtkFontDialogClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.